> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform an action on an editing session



## OpenAPI

````yaml /api-reference/4.2/service-webapps-appkit.json post /webapps/type/appkit/configs/{id}/edits/{sessionId}/action
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps-appkit
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps-appkit
paths:
  /webapps/type/appkit/configs/{id}/edits/{sessionId}/action:
    post:
      tags:
        - 4.2 Webapps Appkit API
      summary: Perform an action on an editing session
      operationId: action
      parameters:
        - name: id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
        - name: sessionId
          in: path
          description: Session ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/webappAppkitSessionAction'
        description: JSON-formatted configuration values
      responses:
        default:
          description: successful operation
components:
  schemas:
    webappAppkitSessionAction:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          readOnly: true

````